---
title: llarp::OutboundMessageHandler::MessageQueueEntry

---

# llarp::OutboundMessageHandler::MessageQueueEntry





## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[operator>](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueEntry.md#function-operator>)**(const MessageQueueEntry & other) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| uint16_t | **[priority](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueEntry.md#variable-priority)**  |
| std::vector< byte_t > | **[message](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueEntry.md#variable-message)**  |
| SendStatusHandler | **[inform](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueEntry.md#variable-inform)**  |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[pathid](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueEntry.md#variable-pathid)**  |
| [RouterID](Classes/structllarp_1_1RouterID.md) | **[router](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueEntry.md#variable-router)**  |

## Public Functions Documentation

### function operator>

```cpp
inline bool operator>(
    const MessageQueueEntry & other
) const
```


## Public Attributes Documentation

### variable priority

```cpp
uint16_t priority;
```


### variable message

```cpp
std::vector< byte_t > message;
```


### variable inform

```cpp
SendStatusHandler inform;
```


### variable pathid

```cpp
PathID_t pathid;
```


### variable router

```cpp
RouterID router;
```


-------------------------------

Updated on 2023-01-20 at 23:19:39 +0000